#!/bin/bash

function site_setting() {
   local base="$1"
   local var="$2"
   local val="$3"
   
   curl --fail -X PUT "https://$DOMAIN/$base/$var" -H "Content-Type: application/json" -H "Accept: application/json" -H "Api-Key: $(cat /srv/discourse_docker/apikey/$ORG)" -H "Api-Username: api" --data-binary "{\"$var\":\"$val\"}"
}

site_setting "$@"
