-- MySQL dump 10.13  Distrib 5.5.60, for debian-linux-gnu (i686)
--
-- Host: localhost    Database: mailman
-- ------------------------------------------------------
-- Server version	5.5.60-0+deb7u1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `mailman_mysql`
--

/*
# A mapping between short option tags and their flag
OPTINFO = {'hide'    : ConcealSubscription,
           'nomail'  : DisableDelivery,
           'ack'     : AcknowledgePosts,
           'notmetoo': DontReceiveOwnPosts,
           'digest'  : 0,
           'plain'   : DisableMime,
           'noremind': SuppressPasswordReminder,
           'nmtopics': ReceiveNonmatchingTopics,
           'mod'     : Moderate,
           'nodupes' : DontReceiveDuplicates
           }
*/

DROP TABLE IF EXISTS `mailman_mysql`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mailman_mysql` (
  `address` varchar(255)  DEFAULT '', /* ! email of the subscriber */
  `listname` varchar(100)  DEFAULT '', /* ! name of the mailing list, without the @... */
  `hide` varchar(1)  DEFAULT 'N', /* ConcealSubscription */
  `nomail` varchar(1)  DEFAULT 'N', /* ??? not used by MysqlMemberships.py and most likely redundant with delivery_status ans inconsisten with delivery_status (i.e. nomail == 'N' for 10k users where delivery_status is not 0 meaning mail delivery is disabled) ??? */
  `ack` varchar(1)  DEFAULT 'Y', /* https://bazaar.launchpad.net/~mailman-coders/mailman/2.1/view/head:/Mailman/Handlers/Acknowledge.py This only happens if the sender has set their AcknowledgePosts attribute. This module must appear after the deliverer in the message pipeline in order to send acks only after successful delivery.*/
  `not_metoo` varchar(1)  DEFAULT 'Y', /* do not send me a copy of my own mails  */
  `digest` varchar(1)  DEFAULT 'N', /* not used */
  `plain` varchar(1)  DEFAULT 'N', /* ??? maybe only plain text mail and not HTML ??? */
  `password` varchar(255)  DEFAULT '!', /* */
  `lang` varchar(255)  DEFAULT 'en', /* !language 'en' or 'fr' */
  `name` varchar(255) DEFAULT NULL, /* !usernames human readable user name, may be None */
  `one_last_digest` varchar(1)  DEFAULT 'N', /* ??? */
  `user_options` bigint(20) DEFAULT '0', /* not used (different methods for digest and other (bitfield) options self.getMemberOption(member, mm_cfg.Digests) is 'Y' ??? other than digest Y/N, what is of interest) */
  `delivery_status` int(10)  DEFAULT '0', /* !delivery_status */
  `topics_userinterest` varchar(255) DEFAULT NULL, /* ??? specific hack to ignore ??? */

  /* bounce related info, ignore the following  */
  `delivery_status_timestamp` varchar(255)  DEFAULT 'None', /* */
  `bi_cookie` varchar(255) DEFAULT NULL, /* */
  `bi_score` double  DEFAULT '0', /* */
  `bi_noticesleft` double  DEFAULT '0', /* */
  `bi_lastnotice` date  DEFAULT '0000-00-00', /* */
  `bi_date` date  DEFAULT '0000-00-00' /* */
);
/*!40101 SET character_set_client = @saved_cs_client */;
